Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.repository
Class LuceneRepositoryConnection

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.repository.AbstractRepositoryConnection
              fr.gouv.culture.sdx.repository.LuceneRepositoryConnection

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, Localizable, org.apache.avalon.framework.logger.LogEnabled, RepositoryConnection, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

Direct Known Subclasses:
  FSRepositoryConnection, URLRepositoryConnection

public class LuceneRepositoryConnection
extends AbstractRepositoryConnection

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.repository.RepositoryConnection
`CLASS_NAME_SUFFIX`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`LuceneRepositoryConnection()`

Method Summary
`void` | `optimize()` Can do optimization of a Repository if needed
`void` | `setUp(java.lang.String indexPath)` Adding the necessary parameters for optimization

Methods inherited from class fr.gouv.culture.sdx.repository.AbstractRepositoryConnection
`commit, getClassNameSuffix, initToSax, initVolatileObjectsToSax, rollback, setAutoCommit`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Constructor Detail

### LuceneRepositoryConnection

    public LuceneRepositoryConnection()

Method Detail

### setUp

    public void setUp(java.lang.String indexPath)

  Adding the necessary parameters for optimization

### optimize

    public void optimize()
                  throws SDXException

  Can do optimization of a Repository if needed

  Specified by:
    `optimize` in interface `RepositoryConnection`
  Overrides:
    `optimize` in class `AbstractRepositoryConnection`
  Throws:
    `SDXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.